> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search partners

> Searches partners by name



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public get /v1/companies/me/partners/search
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /v1/companies/me/partners/search:
    get:
      tags:
        - Partner
      summary: Search partners
      description: Searches partners by name
      parameters:
        - description: Search query
          in: query
          name: query
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/partner.Partner'
                type: array
          description: list of partners matching the search criteria
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: failed to search partners
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - LoginAuth: []
components:
  schemas:
    partner.Partner:
      properties:
        company_id:
          type: string
        company_name:
          type: string
        contact:
          type: string
        created_at:
          type: string
        domain:
          description: External Partner Fields
          type: string
        emails:
          items:
            type: string
          type: array
        id:
          type: string
        public_key:
          type: string
        reference_company_id:
          description: For Internal partners
          type: string
        status:
          type: string
        type:
          description: '"external" - distinguishes from internal partners'
          type: string
        updated_at:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
  securitySchemes:
    LoginAuth:
      scheme: basic
      type: http

````